from django.shortcuts import render
from django.views import View
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from django.shortcuts import get_object_or_404

from .models import Books, Authors

def home_view(request):
    return render(request, 'bookshelf/homepage.html', {
        'page_title': "Books and Authors"
    })
    
class AuthorListView(ListView):
    def get(self, request):
        authors = Authors.objects.all()
        return render(request, 'bookshelf/authors_page.html', {
            'authors': authors
        })
        
class BookListView(ListView):
    def get(self, request):
        books = Books.objects.all() 
        return render(request, 'bookshelf/books_page.html', {
            'books': books
        })        
        
class BookDetailView(DetailView):
    model = Books
    template_name = 'bookshelf/books_details.html'
    
class AuthorDetailView(DetailView):
    model = Authors
    template_name = 'bookshelf/authors_details.html'
    
# Create your views here.
